package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaCrawlerInputItemDAO;
import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.meta.model.MetaCrawlerInputItem;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCrawlerInputItemService")
public class MetaCrawlerInputItemService {

    @Autowired
    private MetaCrawlerInputItemDAO crawlerInputItemDAO;

    public List<MetaCrawlerInputItem> readAllByMetaCrawler(MetaCrawler metaCrawler) {
        return this.crawlerInputItemDAO.findAllByMetaCrawler(metaCrawler);
    }

}
