package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.dao.MetaVendorCrawlerDAO;
import com.loafle.overflow.module.meta.model.MetaInfraVendor;
import com.loafle.overflow.module.meta.model.MetaVendorCrawler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaVendorCrawlerService")
public class MetaVendorCrawlerService {

    @Autowired
    private MetaVendorCrawlerDAO crawlerDAO;

    public List<MetaVendorCrawler> readAllByInfraVendor(MetaInfraVendor infraVendor) {

        return this.crawlerDAO.findAllByMetaInfraVendor(infraVendor);
    }

    public MetaVendorCrawler regist(MetaVendorCrawler metaVendorCrawler) {
        return this.crawlerDAO.save(metaVendorCrawler);
    }
}
